Skip to main content

Output Schemas

POST/v1/orgs/{org_id}/schemas

Create Schema

Create a new output schema (auto-increments version if name exists).

Bearer token or X-API-Keyscope: org memberoperation_id: schemas.create

Authentication

Send either Authorization: Bearer <token> or X-API-Key: <token>. Any org token with sufficient scope. Create tokens from the console or the /v1/orgs/{org_id}/tokens endpoints. Requests without a valid credential are rejected with 401.

SDK install

pip install znyx-sdknpm install @znyx/sdk

Code samples

Request

curl -X POST "$ZNYX_API_URL/v1/orgs/00000000-0000-0000-0000-000000000000/schemas" \
  -H "Authorization: Bearer $ZNYX_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "json_schema": {},
  "description": null,
  "example_output": null
}'

Response

application/json

Successful Response

{
  "id": "string",
  "name": "string",
  "version": 0,
  "json_schema": {},
  "description": null,
  "example_output": null,
  "is_active": false,
  "created_at": null,
  "updated_at": null
}

Schema: object

Path parameters

NameTypeRequiredDescription
org_id#pathstringrequired-

Header parameters

NameTypeRequiredDescription
X-API-Key#headerstring | nulloptional-
authorization#headerstring | nulloptional-

Request bodyrequired

FieldTypeRequiredDescription
namestringrequired-
json_schemaobjectrequired-
descriptionstring | nulloptional-
example_outputstring | nulloptional-

Responses

StatusDescription
200Successful Response
422Validation Error

Response schema

idrequiredstring
namerequiredstring
versionrequiredinteger
json_schemarequiredobject
descriptionstring | null
example_outputstring | null
is_activeboolean
created_atstring | null
updated_atstring | null

Errors & what triggers them

CodeTriggerFix
401Missing or expired Authorization header.-
403Token does not have the required role (admin / editor).-
404Target resource does not exist in this org.-
422Request body failed validation.-